Subject: Re: slow MMC over SPI

From: André Schwarz <[email-masked]>
Date: Tue, 03 Jun 2008 09:39:25 +0200

Fabio,

I'm running on a MPC8343.
The SD-Card is connected on the spi hardware controller.

regards,
André

Fabio Tosetto schrieb:
> Hello,
> 
> I am trying to enable the SD over SPI on a emebedded system with one
> processor powerpc mpc5200b; you have enabled mmc over spi into a native 
> spi or psc spi?
> 
> regards,
> Fabio
> 
> Andre Schwarz ha scritto:
>> All,
>>
>> has anybody made some investigations about performance of a SD/MMC card
>> on SPI ?
>>
>> Actually I'm using various cards (different speed classes) on an SPI bus
>> of a MPC8343 cpu.
>> Everything is working fine basically, i.e. card is detected properly and
>> block device can be mounted and used.
>>
>> SPI clock is adjusted to the card's capabilities and is running quite
>> fast (>30MHz).
>>
>> But between consecutive reads/writes there's a fixed gap of 2us thus
>> yielding a poor performance of approx. 300KBytes/sec.
>> The spi bus is utilized only ~10%.
>>
>> Any ideas where this comes from ?
>> Ist it a fixed delay regarding to some kind of spec or is it possibly a
>> spi driver/mmc layer issue ?
>>
>>
>> regards,
>> Andre Schwarz
>>
>> MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - 
>> Registergericht: Amtsgericht Stuttgart, HRB 271090
>> Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner
>> _______________________________________________
>> Linuxppc-dev mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>> .
>>
>>   
> 

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner